Bug 88473 - EDITING: Selection in Mode ‘Extended Selection’ Can’t be Corrected
Summary: EDITING: Selection in Mode ‘Extended Selection’ Can’t be Corrected
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Selection
  Show dependency treegraph
 
Reported: 2015-01-15 18:10 UTC by Harald Koester
Modified: 2021-04-08 03:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2015-01-15 18:10:34 UTC
In order to reproduce the bug:

[1] Open new text document. 
[2] In the status bar select “Extending selection”.
[3] Insert some words. The cursor should be after the last word.
[4] Select part of the text by clicking the mouse somewhere into the text. The selected part is highlighted.
[5] Suppose your selection is a bit inaccurate and is one character too long. In order to shorten the selected text click one character after the beginning of the selection. The selected part is not shortened. Expected: Shorter selection.
[6] But: Suppose your selection is one character to short. Click one character before the beginning of the selection. The selection is lengthened.

The behaviour is equivalent if you like to select text after the cursor.

Bug exists also in version 4.4.0.2.
Comment 1 Buovjaga 2015-01-29 17:47:34 UTC
Reproduced. I had to select Extending selection again after the initial selection. It always went back to Adding.

Let's lower severity per https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 2 QA Administrators 2016-02-21 08:36:34 UTC Comment hidden (obsolete)
Comment 3 Harald Koester 2016-02-22 21:08:11 UTC
Bug still exists in version 5.1.0 with Win7.
Comment 4 QA Administrators 2017-03-06 15:33:41 UTC Comment hidden (obsolete)
Comment 5 Harald Koester 2017-03-16 17:49:02 UTC
Bug still exists in version 5.3.0.
Bug already exists in version 3.3.0. Hence inherited from OOo.
Comment 6 QA Administrators 2018-03-17 03:33:03 UTC Comment hidden (obsolete)
Comment 7 Harald Koester 2018-03-17 22:29:37 UTC
Bug still exists in version 6.0.3 (64 bit, Win 10).
Comment 8 Harald Koester 2018-03-19 22:20:18 UTC
Sorry, it's version 6.0.2, not 6.0.3.
Comment 9 QA Administrators 2019-03-20 03:50:19 UTC Comment hidden (obsolete)
Comment 10 Harald Koester 2019-04-08 08:09:04 UTC
Bug still exists in version 6.2.2 (64 bit, Win10).
Comment 11 QA Administrators 2021-04-08 03:39:40 UTC
Dear Harald Koester,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug